Nux!


Home » Repos » Report a problem or request a package » libquicktime and x264 incompatible
libquicktime and x264 incompatible [message #2732] Thu, 06 November 2014 10:26 Go to next message
LiamOToole is currently offline  LiamOToole
Messages: 10
Registered: November 2014
Junior Member
When doing a yum update on a Centos 6.6 machine I encounter the following problem:

Error: Package: libquicktime-1.2.4-1.el6.nux.x86_64 (@nux-dextop)
           Requires: libx264.so.120()(64bit)
           Removing: x264-libs-0.120-6.20120303.el6.nux.x86_64 (@nux-dextop)
               libx264.so.120()(64bit)
           Updated By: x264-libs-0.142-7.20140728gitaf8e768.el6.nux.x86_64 (nux-dextop)
               Not found
           Available: x264-libs-0.120-5.20120303.el6.nux.x86_64 (nux-dextop)
               libx264.so.120()(64bit)
           Available: x264-libs-0.0.0-0.28.20100706gitd058f37.el6.nux.x86_64 (nux-dextop)
               Not found
           Available: x264-libs-0.0.0-0.31.20110811.el6.nux.x86_64 (nux-dextop)
               Not found


It looks like libquicktime is incompatible whith the recent changes to x264. The same problem is observed on an i686 machine.
Re: libquicktime and x264 incompatible [message #2734 is a reply to message #2732] Thu, 06 November 2014 19:44 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1650
Registered: January 2012
Senior Member
Administrator

Hi,

This should not happen. Can you clean up yum and try again? i.e.
yum clean all && yum update
Re: libquicktime and x264 incompatible [message #2736 is a reply to message #2734] Thu, 06 November 2014 21:16 Go to previous messageGo to next message
LiamOToole is currently offline  LiamOToole
Messages: 10
Registered: November 2014
Junior Member
Thanks for the suggestion. The result is the same, unfortunately, on both i686 and x86 machines.
Re: libquicktime and x264 incompatible [message #2737 is a reply to message #2732] Thu, 06 November 2014 21:46 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1650
Registered: January 2012
Senior Member
Administrator

Liam,

Do you have other repos enabled by any chance and/or using repo priorities?

Re: libquicktime and x264 incompatible [message #2738 is a reply to message #2737] Fri, 07 November 2014 00:29 Go to previous messageGo to next message
LiamOToole is currently offline  LiamOToole
Messages: 10
Registered: November 2014
Junior Member
Yes, I have epel enabled, as well as nux-dextop, as indicated by 'yum repolist':
repo id             repo name                                             status
base                CentOS-6 - Base                                       4,926
epel                Extra Packages for Enterprise Linux 6 - i386          9,211
extras              CentOS-6 - Extras                                        33
nux-dextop          Nux.Ro RPMs for general desktop use                   1,367
updates             CentOS-6 - Updates                                      185

(I think nux-dextop requires epel anyway; correct me if I'm wrong.)

I don't use yum priorities.
Re: libquicktime and x264 incompatible [message #2739 is a reply to message #2732] Fri, 07 November 2014 01:27 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1650
Registered: January 2012
Senior Member
Administrator

Yes, EPEL is required.
What happens if you try to yum install this directly? http://li.nux.ro/download/nux/dextop/el6/x86_64/x264-libs-0. 142-7.20140728gitaf8e768.el6.nux.x86_64.rpm

I'm trying to replicate the problem on a vm with Stella/Centos 6 and I just can't ... all works as expected.
Re: libquicktime and x264 incompatible [message #2741 is a reply to message #2732] Fri, 07 November 2014 09:45 Go to previous messageGo to next message
LiamOToole is currently offline  LiamOToole
Messages: 10
Registered: November 2014
Junior Member
OK, here we go ...
Quote:

# rpm -ihv http://li.nux.ro/download/nux/dextop/el6/x86_64/x264-libs-0. 142-7.20140728gitaf8e768.el6.nux.x86_64.rpm
Retrieving http://li.nux.ro/download/nux/dextop/el6/x86_64/x264-libs-0. 142-7.20140728gitaf8e768.el6.nux.x86_64.rpm
Preparing... ########################################### [100%]
1:x264-libs ########################################### [100%]

No problems there. Now 'yum update' works correctly, on both architectures.

Thanks very much for providing the solution, and for your packaging work in general. We all appreciate it.
Re: libquicktime and x264 incompatible [message #2743 is a reply to message #2732] Fri, 07 November 2014 09:52 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1650
Registered: January 2012
Senior Member
Administrator

Glad it's sorted, that was a weird one. Smile
Re: libquicktime and x264 incompatible [message #2760 is a reply to message #2743] Thu, 13 November 2014 17:21 Go to previous messageGo to next message
paulotex is currently offline  paulotex
Messages: 1
Registered: November 2014
Junior Member
I got exactly the same problem (distro is Scientific Linux 6), and the solution was the same: I installed libquicktime-1.2.4-1.el6.nux.x86_64 manually using rpm.

Although I don't have extra repositories active (besides EPEL), I used to have rpmforge and rpmfusion active, before using nux. Perhaps there were still some left packages from these repos that triggered this error.

The error was:
Error: Package: libquicktime-1.2.4-1.el6.nux.x86_64 (@nux-dextop)
Requires: libx264.so.120()(64bit)
Removing: x264-libs-0.120-5.20120303.el6.nux.x86_64 (@nux-dextop)
libx264.so.120()(64bit)
Updated By: x264-libs-0.142-7.20140728gitaf8e768.el6.nux.x86_64 (nux-dextop)
Not found
Available: x264-libs-0.120-6.20120303.el6.nux.x86_64 (nux-dextop)
libx264.so.120()(64bit)
Available: x264-libs-0.0.0-0.28.20100706gitd058f37.el6.nux.x86_64 (nux-dextop)
Not found
Available: x264-libs-0.0.0-0.31.20110811.el6.nux.x86_64 (nux-dextop)
Not found

[Updated on: Thu, 13 November 2014 17:22]

Report message to a moderator

Re: libquicktime and x264 incompatible [message #2761 is a reply to message #2732] Thu, 13 November 2014 19:12 Go to previous message
nux is currently offline  nux
Messages: 1650
Registered: January 2012
Senior Member
Administrator

Ok, weird. Not sure what is going on. I'll try to make some time and install the old packages and try an upgrade.
thanks for reporting
Previous Topic: Pkg request: NetworkManager-l2tp (el6)
Next Topic: pkgRequest (el6)
Goto Forum:
  


Current Time: Sun Mar 24 17:13:34 GMT 2019

Total time taken to generate the page: 0.01187 seconds